From 6df603a75bbae1d5a3ef23d3c2b6f3fe0d9b45c7 Mon Sep 17 00:00:00 2001
Message-Id: <6df603a75bbae1d5a3ef23d3c2b6f3fe0d9b45c7.1278054601.git.andresambrois@gmail.com>
In-Reply-To: <cover.1278054601.git.andresambrois@gmail.com>
References: <cover.1278054601.git.andresambrois@gmail.com>
From: =?UTF-8?q?Andr=C3=A9s=20Ambrois?= <andresambrois@gmail.com>
Date: Sun, 23 May 2010 03:41:23 -0300
Subject: [PATCH v2 01/10] Journal: Retrieve filesize from the datastore
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Add the filesize property to the list of properties we ask the datastore
for.

Signed-off-by: Andrés Ambrois <andresambrois@gmail.com>
---
 src/jarabe/journal/model.py |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/jarabe/journal/model.py b/src/jarabe/journal/model.py
index ffc62e0..874d7bd 100644
--- a/src/jarabe/journal/model.py
+++ b/src/jarabe/journal/model.py
@@ -36,9 +36,9 @@ DS_DBUS_INTERFACE = 'org.laptop.sugar.DataStore'
 DS_DBUS_PATH = '/org/laptop/sugar/DataStore'
 
 # Properties the journal cares about.
-PROPERTIES = ['uid', 'title', 'mtime', 'timestamp', 'keep', 'buddies',
-              'icon-color', 'mime_type', 'progress', 'activity', 'mountpoint',
-              'activity_id', 'bundle_id']
+PROPERTIES = ['uid', 'title', 'mtime', 'timestamp', 'filesize',
+              'keep', 'buddies', 'icon-color', 'mime_type', 'progress',
+              'activity', 'mountpoint', 'activity_id', 'bundle_id']
 
 MIN_PAGES_TO_CACHE = 3
 MAX_PAGES_TO_CACHE = 5
-- 
1.7.0.4

